package com.efstech.demo.osgi.repo.listener;

import com.efstech.demo.osgi.api.model.Job;
import org.apache.log4j.Logger;

import java.util.Map;

/**
 * @author lees - 2011-10-26
 */
public class JobListener {

    private static final Logger log = Logger.getLogger(JobListener.class);

    public void bind(Object o, Map map) throws Exception {

        Job job = (Job) o;

        log.debug("Job registered: " + job.getName() + " with settings " + map);
    }

    public void unbind(Object o, Map map) throws Exception {

        Job job = (Job) o;

        log.info("Job Unregistered: " + job.getName());
    }
}
